<?php
	$portfoliolabels = array(
		'name'              => _x( 'Portfolio', 'general name', 'nst' ),
		'singular_name'     => _x( 'Portfolio', 'singular name', 'nst' ),
		'search_items'      => __( 'Search Portfolio', 'nst' ),
		'all_items'         => __( 'All Portfolio', 'nst' ),
		'parent_item'       => __( 'Parent Portfolio', 'nst' ),
		'parent_item_colon' => __( 'Parent Portfolio:', 'nst' ),
		'edit_item'         => __( 'Edit Portfolio', 'nst' ),
		'update_item'       => __( 'Update Portfolio', 'nst' ),
		'add_new_item'      => __( 'Add New Portfolio', 'nst' ),
		'new_item_name'     => __( 'New Portfolio Name', 'nst' ),
		'menu_name'         => __( 'Portfolio', 'nst' ),
	);

$portfolio = new Cuztom_Post_Type( 'PortfolioNs', array(
    'has_archive' => true,
    'supports' => array( 'title', 'editor', 'thumbnail' ),
    'exclude_from_search' => true
), $portfoliolabels );

add_action( 'init', 'create_book_taxonomies', 0 );

// create two taxonomies, genres and writers for the post type "book"
function create_book_taxonomies() {
	$labels = array(
		'name'              => _x( 'Category', 'taxonomy general name', 'nst' ),
		'singular_name'     => _x( 'Category', 'taxonomy singular name', 'nst' ),
		'search_items'      => __( 'Search Category', 'nst' ),
		'all_items'         => __( 'All Category', 'nst' ),
		'parent_item'       => __( 'Parent Category', 'nst' ),
		'parent_item_colon' => __( 'Parent Category:', 'nst' ),
		'edit_item'         => __( 'Edit Category', 'nst' ),
		'update_item'       => __( 'Update Category', 'nst' ),
		'add_new_item'      => __( 'Add New Category', 'nst' ),
		'new_item_name'     => __( 'New Category Name', 'nst' ),
		'menu_name'         => __( 'Category', 'nst' ),
	);

	$args = array(
		'hierarchical'      => true,
		'labels'            => $labels,
		'show_ui'           => true,
		'show_admin_column' => true,
		'query_var'         => true,
		'rewrite'           => array( 'slug' => 'portfolio-category' ),
	);

	register_taxonomy( 'portfolio-category', array( 'portfolions' ), $args );

}

$posts = new Cuztom_Post_Type('post');

#### ADD THE IMAGE POST PARALLAX ####	
$posts->add_meta_box(
    'add-parallax-post',
    _x( 'Parallax for this post', 'Parallax for this post', 'nst' ),
    array(
		array(
			'name'          => 'parallax_name_image',
			'label'         => _x( 'Parallax Image', 'Parallax Image', 'nst' ),
			'description'   => _x( 'Parallax Image', 'Parallax Image', 'nst' ),
			'type'          => 'image'
		)								
    )
);







$pages = new Cuztom_Post_Type('page');



#### ADD THE IMAGE PAGE PARALLAX ####	
$pages->add_meta_box(
    'add-parallax-page',
    _x( 'Parallax for this page', 'Parallax for this page', 'nst' ),
    array(
		array(
			'name'          => 'parallax_name_image',
			'label'         => _x( 'Parallax Image', 'Parallax Image', 'nst' ),
			'description'   => _x( 'Parallax Image', 'Parallax Image', 'nst' ),
			'type'          => 'image'
		)								
    )
);



#### ADD THE HIDDEN TEMPLATE FIELD ####	
$pages->add_meta_box(
    'add-hidden-template',
    'Hidden Template',
    array(
		array(
        'name'          => 'hidden_page_template',
        'label'         => 'Hidden',
        'description'   => 'Hidden Description',
        'type'          => 'hidden',
        'default_value' => ''
    	)   	
    )
);

#### ADD THE HIDDEN COMPOSER FIELD ####	
$pages->add_meta_box(
    'add-hidden-composer',
    'Hidden Composer',
    array(
		array(
        'name'          => 'hidden_composer',
        'label'         => 'Hidden',
        'description'   => 'Hidden Description',
        'type'          => 'hidden',
        'default_value' => ''
    	)   	
    )
);


#### ADD THE SECTION ####	
$pages->add_meta_box(
    'add-home-section',
    _x( 'Section', 'Section', 'nst' ),
    array(
		array(
			'name'          => 'name_post_select',
			'label'         => _x( 'Select section', 'Select section', 'nst' ),
			'description'   => _x( 'Enter the page you prefer in this section', 'Enter the page you prefer in this section', 'nst' ),
			'type'          => 'post_select',
			'args'          => array(
				'post_type' => 'page',
			),
			'repeatable'    => true
		),
    )
);

#### ADD THE PARALLAX ####	
$pages->add_meta_box(
    'add-parallax',
    _x( 'Parallax - ( URL Custom Link for menu: #section-parallax )', 'Parallax - ( URL Custom Link for menu: #section-parallax )', 'nst' ),
    array(
		array(
			'name'          => 'parallax_name_image',
			'label'         => _x( 'Parallax Image', 'Parallax Image', 'nst' ),
			'description'   => _x( 'Parallax Image (1200 x 800 px)', 'Parallax Image (1200 x 800 px)', 'nst' ),
			'type'          => 'image'
		),
		array(
			'name'          => 'parall_text',
			'label'         => _x( 'Caption', 'Caption', 'nst' ),
			'description'   => _x( 'Insert the Parallax Caption here', 'Insert the Parallax Caption here', 'nst' ),
			'type'          => 'text',
		),
		array(
			'name'          => 'parall_text_subtitle',
			'label'         => _x( 'Caption Small', 'Caption Small', 'nst' ),
			'description'   => _x( 'Insert the Parallax Caption Small here', 'Insert the Parallax Caption Small here', 'nst' ),
			'type'          => 'text',
		),		
		array(
			'name'          => 'parall_button',
			'label'         => _x( 'Button', 'Button', 'nst' ),
			'description'   => _x( 'Insert the Parallax Button here', 'Insert the Parallax Button here', 'nst' ),
			'type'          => 'text',
		),
		array(
			'name'          => 'parall_button_link',
			'label'         => _x( 'Button Link', 'Button Link', 'nst' ),
			'description'   => _x( 'Insert the Parallax Button Link here', 'Insert the Parallax Button Link here', 'nst' ),
			'type'          => 'text',
		)								
    )
);


#### ADD THE THREE COLUMN ####
$pages->add_meta_box(
    'column-big-title',	
	_x( 'Column - (URL Custom Link for menu: #section-three-columns )', 'Column - (URL Custom Link for menu: #section-three-columns )', 'nst' ),
	array(
					
			array(
		
				'name'          => 'column-big-title',
				'label'         => _x( 'Column Main Title', 'Column Main Title', 'nst' ),
				'description'   => _x( 'Insert your title here', 'Insert your title here', 'nst' ),
				'type'          => 'text'
				)	
	)		
);

$arr_column = array(1,2,3);
foreach ($arr_column as $col){
	
$pages->add_meta_box(
    'column-'.$col,	
	_x( 'Column ', 'Column ', 'nst' ).$col,
	array(
		
			array(
		
				'name'          => 'column-fa-'.$col,
				'label'         => _x( 'FontAwesome', 'FontAwesome', 'nst' ).$col,
				'description'   => _x( 'Choose your <a href="http://fortawesome.github.io/Font-Awesome/" target="_blank">FontAwsome</a>', 'Choose your <a href="http://fortawesome.github.io/Font-Awesome/" target="_blank">FontAwsome</a>', 'nst' ),
				'type'          => 'text'
				),

					
			array(
		
				'name'          => 'column-title-'.$col,
				'label'         => _x( 'Column Title ', 'Column Title ', 'nst' ).$col,
				'description'   => _x( 'Insert your title here', 'Insert your title here', 'nst' ),
				'type'          => 'text'
				),
		
			array(
		
				'name'          => 'column-text-'.$col,
				'label'         => _x( 'Column Text ', 'Column Text ', 'nst' ).$col,
				'description'   => _x( 'Insert your text here', 'Insert your text here','nst' ),
				'type'          => 'textarea'
				)
		
	)		
);

}


#### ADD TIMELINE ####
$pages->add_meta_box(
    'timeline-big-title',	
	_x( 'Timeline - (URL Custom Link for menu: #section-timeline )', 'Timeline - (URL Custom Link for menu: #section-timeline )', 'nst' ),
	array(
					
			array(
		
				'name'          => 'timeline-big-title',
				'label'         => _x( 'Timeline Main Title', 'Timeline Main Title', 'nst' ),
				'description'   => _x( 'Insert your title here', 'Insert your title here', 'nst' ),
				'type'          => 'text'
				),		
			array(
		
				'name'          => 'timeline-big-subtitle',
				'label'         => _x( 'Timeline Main Subtitle', 'Timeline Main Subtitle', 'nst' ),
				'description'   => _x( 'Insert your text here', 'Insert your text here', 'nst' ),
				'type'          => 'text'
				)		
	)		
);

$arr_timeline = array(1,2,3,4,5,6,7,8,9,10);
foreach ($arr_timeline as $tim){

$pages->add_meta_box(
    'timeline-'.$tim,	
	_x( 'Timeline ', 'Timeline ', 'nst' ).$tim,
	array(
					
			array(
		
				'name'          => 'timeline-title'.$tim,
				'label'         => _x( 'Timeline Title', 'Timeline Title', 'nst' ).$tim,
				'description'   => _x( 'Insert your title here', 'Insert your title here', 'nst' ),
				'type'          => 'text'
				),
			array(
		
				'name'          => 'timeline-date'.$tim,
				'label'         => _x( 'Timeline date', 'Timeline date', 'nst' ).$tim,
				'description'   => _x( 'Insert your date here', 'Insert your date here', 'nst' ),
				'type'          => 'date',
        		'args'          => array(
            		'date_format' => 'm/d/Y'
        		)				
				),						
			array(
		
				'name'          => 'timeline-text'.$tim,
				'label'         => _x( 'Timeline text', 'Timeline text', 'nst' ).$tim,
				'description'   => _x( 'Insert your text here', 'Insert your text here', 'nst' ),
				'type'          => 'textarea'
				)			
		
	)		
);
}

#### ADD FROM THE BLOG ####
$pages->add_meta_box(
    'media-right',	
	_x( 'From the blog - ( URL Custom Link for menu: #section-from-blog )', 'From the blog - ( URL Custom Link for menu: #section-from-blog )', 'nst' ),
	array(
			array(
		
				'name'          => 'blog-main-title',
				'label'         => _x( 'Blog Main Title', 'Blog Main Title', 'nst' ),
				'description'   => _x( 'Insert your title here', 'Insert your title here', 'nst' ),
				'type'          => 'text'
				),		
		    array(
		        'id'            => 'blog_select',
		        'type'          => 'select',
		        'label'         => _x( 'Number of display post', 'Number of display post', 'nst' ),
		        'description'   => _x( 'Select number of post display', 'Select number of post display', 'nst' ),
		        'options'       => array(
		            '3'    		=> '3 Posts',
		            '6'    		=> '6 Posts',
		            '9'    		=> '9 Posts',
		            '12'		=> '12 Posts',
		        ),
		    )
	)		
);


#### ADD THE STAFF ####
$pages->add_meta_box(
    'staff-big-title',	
	_x( 'Staff - ( URL Custom Link for menu: #section-staff )', 'Staff - ( URL Custom Link for menu: #section-staff )', 'nst' ),
	array(
					
			array(
		
				'name'          => 'staff-big-title',
				'label'         => _x( 'Staff Main Title', 'Staff Main Title', 'nst' ),
				'description'   => _x( 'Insert your title here', 'Insert your title here', 'nst' ),
				'type'          => 'text'
				)	
	)		
);

$arr_staff = array(1,2,3,4,5,6);
foreach ($arr_staff as $staff_num){
	
$pages->add_meta_box(
    'staff-'.$staff_num,	
	_x( 'Staff ', 'Staff ', 'nst' ).$staff_num,
	array(
			array(
		
				'name'          => 'staff_img_'.$staff_num,
				'label'         => _x( 'Image', 'Image', 'nst' ),
				'description'   => _x( 'Insert your image here (140x140 px)', 'Insert your image here (140x140 px)', 'nst' ),
				'type'          => 'image'
				),

			array(
		
				'name'          => 'staff_name_'.$staff_num,
				'label'         => _x( 'Name & Surname', 'Name & Surname', 'nst' ),
				'description'   => _x( 'Insert your Name & Surname here', 'Insert your Name & Surname here', 'nst' ),
				'type'          => 'text'
				),

			array(
		
				'name'          => 'staff_role_'.$staff_num,
				'label'         => _x( 'Role', 'Role', 'nst' ),
				'description'   => _x( 'Insert your Role here', 'Insert your Role here', 'nst' ),
				'type'          => 'text'
				),

			array(
		
				'name'          => 'staff_descr_'.$staff_num,
				'label'         => _x( 'Description', 'Description', 'nst' ),
				'description'   => _x( 'Insert your description here', 'Insert your description here', 'nst' ),
				'type'          => 'textarea'
				),
				
													
			array(
		
				'name'          => 'staff_fb_'.$staff_num,
				'label'         => _x( 'Facebook', 'Facebook', 'nst' ),
				'description'   => _x( 'Insert your page here', 'Insert your page here', 'nst' ),
				'type'          => 'text'
				),

			array(
		
				'name'          => 'staff_tw_'.$staff_num,
				'label'         => _x( 'Twitter', 'Twitter', 'nst' ),
				'description'   => _x( 'Insert your page here', 'Insert your page here', 'nst' ),
				'type'          => 'text'
				),
						
			array(
		
				'name'          => 'staff_g_'.$staff_num,
				'label'         => _x( 'Google +', 'Google +', 'nst' ),
				'description'   => _x( 'Insert your page here', 'Insert your page here', 'nst' ),
				'type'          => 'text'
				)			

		
	)		
);

}

#### ADD THE GALLERY ####	
$pages->add_meta_box(
    'gallery',
    _x( 'Gallery - ( URL Custom Link for menu: #section-gallery )', 'Gallery - ( URL Custom Link for menu: #section-gallery )', 'nst' ),
    array(
    	array(
		
				'name'          => 'gallery-big-title',
				'label'         => _x( 'Gallery Main Title', 'Gallery Main Title', 'nst' ),
				'description'   => _x( 'Insert your title here', 'Insert your title here', 'nst' ),
				'type'          => 'text'
		),	
		array(
			'name'          => 'gallery_image',
			'label'         => _x( 'Select Portfolio', 'Select Portfolio', 'nst' ),
			'description'   => _x( 'Before create this page <a href="post-new.php?post_type=portfolio">add a new portfolio image</a>', 'Before create this page <a href="post-new.php?post_type=portfolio">add a new portfolio image</a>', 'nst' ),
			'type'          => 'post_select',
			'args'          => array(
				'post_type' => 'portfolions',
			),
			'repeatable'    => true
		),
    )
);


#### ADD FULL WIDTH BANNER ####	
$pages->add_meta_box(
    'newsltter',
    _x( 'Full Width Banner - ( URL Custom Link for menu: #section-full-banner )', 'Full Width Banner - ( URL Custom Link for menu: #section-full-banner )', 'nst' ),
    array(
		array(
			'name'          => 'banner_text',
			'label'         => _x( 'Banner Text', 'Banner Text', 'nst' ),
			'description'   => _x( 'Insert your text here', 'Insert your text here', 'nst' ),
			'type'          => 'text',
		),
		array(
			'name'          => 'banner_button_text',
			'label'         => _x( 'Banner Button Text', 'Banner Button Text', 'nst' ),
			'description'   => _x( 'Insert your button text here', 'Insert your button text here', 'nst' ),
			'type'          => 'text',
		),
		array(
			'name'          => 'banner_button_link',
			'label'         => _x( 'Banner Button Link', 'Banner Button Link', 'nst' ),
			'description'   => _x( 'Insert your button link here', 'Insert your button link here', 'nst' ),
			'type'          => 'text',
		)							
    )
);


#### ADD THE SKILLS ####
$pages->add_meta_box(
    'skill-big-title',	
	_x( 'Skills - ( URL Custom Link for menu: #section-skills )', 'Skills - ( URL Custom Link for menu: #section-skills )', 'nst' ),
	array(
					
			array(
		
				'name'          => 'skill-big-title',
				'label'         => _x( 'Skills Main Title', 'Skills Main Title', 'nst' ),
				'description'   => _x( 'Insert your title here', 'Insert your title here', 'nst' ),
				'type'          => 'text'
				)	
	)		
);


$arr_skill = array(1,2,3,4,5,6);
foreach ($arr_skill as $skill_num){	
$pages->add_meta_box(
    'skills'.$skill_num,
    _x( 'Skills ', 'Skills ', 'nst' ).$skill_num,
    array(
		array(
			'name'          => 'skill_name'.$skill_num,
			'label'         => _x( 'Skill Name ', 'Skill Name ', 'nst' ).$skill_num,
			'description'   => _x( 'Insert your Skill Name ', 'Insert your Skill Name ', 'nst' ),
			'type'          => 'text',
		),
		array(
			'name'          => 'skill_percentage'.$skill_num,
			'label'         => _x( 'Skill Percentage ', 'Skill Percentage ', 'nst' ).$skill_num,
			'description'   => _x( 'Insert your percentage here', 'Insert your percentage here', 'nst' ),
			'type'          => 'text',
		)				
    )
);
}


#### ADD THE MEDIA LEFT ####
$pages->add_meta_box(
    'media-left',	
	_x( 'Media Left - ( URL Custom Link for menu: #section-media-left )', 'Media Left - ( URL Custom Link for menu: #section-media-left )', 'nst' ),
	array(
					
			array(
		
				'name'          => 'media-left-title',
				'label'         => _x( 'Media Left Title', 'Media Left Title', 'nst' ),
				'description'   => _x( 'Insert your title here', 'Insert your title here', 'nst' ),
				'type'          => 'text'
				),

			array(
		
				'name'          => 'media-left-title2',
				'label'         => _x( 'Media Left Second Title', 'Media Left Second Title', 'nst' ),
				'description'   => _x( 'Insert your second title here', 'Insert your second title here', 'nst' ),
				'type'          => 'text'
				),

			array(
		
				'name'          => 'media-left-smalltitle',
				'label'         => _x( 'Media Left Small Title', 'Media Left Small Title', 'nst' ),
				'description'   => _x( 'Insert your small title here', 'Insert your small title here', 'nst' ),
				'type'          => 'text'
				),

			array(
		
				'name'          => 'media-left-text',
				'label'         => _x( 'Media Left text', 'Media Left text', 'nst' ),
				'description'   => _x( 'Insert your text here', 'Insert your text here', 'nst' ),
				'type'          => 'textarea'
				),
			array(
		
				'name'          => 'media-left-img',
				'label'         => _x( 'Media Left Image', 'Media Left Image', 'nst' ),
				'description'   => _x( 'Insert your image here', 'Insert your image here', 'nst' ),
				'type'          => 'image'
				)				
		
	)		
);

#### ADD THE CONTACT ####	
$pages->add_meta_box(
    'contact',
    _x( 'Contact - ( URL Custom Link for menu: #section-contact )', 'Contact - ( URL Custom Link for menu: #section-contact )', 'nst' ),
    array(
		array(
			'name'          => 'contact-title',
			'label'         => _x( 'Contact Main Title', 'Contact Main Title', 'nst' ),
			'description'   => _x( 'Insert your title here', 'Insert your title here', 'nst' ),
			'type'          => 'text',
		),    	
		array(
			'name'          => 'contact-column-1',
			'label'         => _x( 'Contact first row', 'Contact first row', 'nst' ),
			'description'   => _x( 'Insert your text here', 'Insert your text here', 'nst' ),
			'type'          => 'textarea',
		),
		array(
			'name'          => 'contact-column-2',
			'label'         => _x( 'Contact second row', 'Contact second row', 'nst' ),
			'description'   => _x( 'Insert your text here', 'Insert your text here', 'nst' ),
			'type'          => 'textarea',
		),
		array(
			'name'          => 'contact-column-3',
			'label'         => _x( 'Contact third row', 'Contact third row', 'nst' ),
			'description'   => _x( 'Insert your text here', 'Insert your text here', 'nst' ),
			'type'          => 'textarea',
		),		
		array(
			'name'          => 'contact-mail',
			'label'         => _x( 'Contact From 7', 'Contact From 7', 'nst' ),
			'description'   => _x( 'Insert Contact From 7 shortcode here', 'Insert Contact From 7 shortcode here', 'nst' ),
			'type'          => 'text',
		),
		array(
			'name'          => 'map-adress',
			'label'         => _x( 'Map Adress', 'Map Adress', 'nst' ),
			'description'   => _x( 'Insert your Adress here (eg. Abbey Road London)', 'Insert your Adress here (eg. Abbey Road London)', 'nst' ),
			'type'          => 'text',
		)									
    )
);
?>
