<?php
// NS Custom Function

// Limit post per page

function limit_posts_per_page() {
		return 5; // default: 5 posts per page
}
add_filter('pre_option_posts_per_page', 'limit_posts_per_page');


// Return the post id
function nsid($ns_internal_id=''){
	if($ns_internal_id != ''){
		return $ns_internal_id;
	}else{
		return get_the_ID();
	}
}

// Return the url of media by id
function nsimgurl($img_id){
	$nspost = get_post($img_id);
	$nsimg = $nspost->guid;
	//$arr_img = wp_get_attachment_url( $img_id );
	return $nsimg; 
}


// This function allow display composer in page editor
add_action( 'current_screen', 'NsScreen' );

function NsScreen() {

    $currentScreen = get_current_screen();

    if( $currentScreen->id === "page" ) {

		add_action( 'edit_form_top', 'add_ns_composer_button');
		function add_ns_composer_button() {
			$ns_composer_button = _x( 'NS Composer', 'button composer text', 'nst' );
			$ns_editor_button = _x( 'Back to editor', 'button editor text', 'nst' );
		    echo '<input type="button" id="insert-ns-composer" name="insert-ns-composer" class="ns-upload-button" value="'.$ns_composer_button.'">';
		    echo '<input type="button" id="insert-ns-editor" name="insert-ns-editor" class="ns-upload-button" value="'.$ns_editor_button.'">';
		}

		add_filter( 'media_buttons', 'add_ns_composer_main', 10, 4 );
		function add_ns_composer_main() {
			/* *** include the option themes *** */
			require_once( NS_FUNCTION_PATH.'/ns_composer_main.php');	
		}

    }
    
}


// This function add back to top button if is enable in theme option
function ns_add_footer_function() {
	$ns_bkt_options = get_option('ns_general_options');
	if (isset($ns_bkt_options['scrolltotop'])){ 
		echo '<a id="back-to-top" href="#" class="back-to-top" role="button" title="Click to return on the top page" data-toggle="tooltip" data-placement="left"><span><i class="fa fa-arrow-up" style="padding-left: 1px;"></i></span></a>';
	}
}
add_action( 'wp_footer', 'ns_add_footer_function', 100 );



// If enabled admin bar will be removed
$ns_remove_admin_bar_options = get_option('ns_general_options');
if (isset($ns_remove_admin_bar_options['removeadminbar'])){
	show_admin_bar(false);
}


// This function add social icon if they are enable in theme option
function wp_social() {
	$ns_ico_options = get_option('ns_general_options');
	// Youtube
	if (isset($ns_ico_options['ns_social_youtube']) && $ns_ico_options['ns_social_youtube'] != ''){ 
		echo '<a href="'.$ns_ico_options['ns_social_youtube'].'" target="_blank"><div class="ns-ico-fb-social-footer"><i class="fa fa-youtube-play fa-2x NcolorS"></i></div></a>';
	}
	// Google
	if (isset($ns_ico_options['ns_social_google']) && $ns_ico_options['ns_social_google'] != ''){ 
		echo '<a href="'.$ns_ico_options['ns_social_google'].'" target="_blank"><div class="ns-ico-fb-social-footer"><i class="fa fa-google fa-2x NcolorS"></i></div></a>';
	}
	// Twitter
	if (isset($ns_ico_options['ns_social_twitter']) && $ns_ico_options['ns_social_twitter'] != ''){ 
		echo '<a href="'.$ns_ico_options['ns_social_twitter'].'" target="_blank"><div class="ns-ico-fb-social-footer"><i class="fa fa-twitter fa-2x NcolorS"></i></div></a>';
	}			
	// Facebook
	if (isset($ns_ico_options['ns_social_facebook']) && $ns_ico_options['ns_social_facebook'] != ''){ 
		echo '<a href="'.$ns_ico_options['ns_social_facebook'].'" target="_blank"><div class="ns-ico-fb-social-footer"><i class="fa fa-facebook fa-2x NcolorS"></i></div></a>';
	}			
}



function ns_styles_method() {
	$custom_css = '';
	wp_enqueue_style( 'ns-custom-style', NS_CSS_PATH .'/ns-custom-style.css', array(), '1.0.0' );
        $ns_font_options = get_option('ns_general_options');
        if (!empty($ns_font_options['ns_color_btn_bg'])){ 
        	$custom_css .= "
				.btn-n-s, .form-submit input, #searchsubmit {
					background: ".$ns_font_options['ns_color_btn_bg'].";
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_btn_bg_hover'])){ 
        	$custom_css .= "
				.btn-n-s:hover, .form-submit input:hover, #searchsubmit:hover {
					background: ".$ns_font_options['ns_color_btn_bg_hover'].";
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_btn_border'])){ 
        	$custom_css .= "
				.btn-n-s, .form-submit input, #searchsubmit {
					border: 1px solid ".$ns_font_options['ns_color_btn_border'].";
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_btn_border_hover'])){ 
        	$custom_css .= "
				.btn-n-s:hover, .form-submit input:hover, #searchsubmit:hover {
					border: 1px solid ".$ns_font_options['ns_color_btn_border_hover'].";
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_btn_text'])){ 
        	$custom_css .= "
				.btn-n-s, .form-submit input, #searchsubmit {
					color: ".$ns_font_options['ns_color_btn_text'].";
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_btn_text_hover'])){ 
        	$custom_css .= "
				.btn-n-s:hover, .form-submit input:hover, #searchsubmit:hover {
					color: ".$ns_font_options['ns_color_btn_text_hover'].";
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_header'])){ 
        	$custom_css .= "
				.navbar-fixed-top {
					background-color: ".$ns_font_options['ns_color_header']." !important;
				}
        	";	
        }        
        if (!empty($ns_font_options['ns_color_footer'])){ 
        	$custom_css .= "
				.ftNSBot {
					background-color: ".$ns_font_options['ns_color_footer']." !important;
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_object'])){ 
        	$custom_css .= "
				.timeline:before, .timeline-badge.success, .progress > .progress-type, .progress-bar, .dateBlogHm {
					background-color: ".$ns_font_options['ns_color_object']." !important;
				}
				.timeline-title {
					border-bottom: 1px solid ".$ns_font_options['ns_color_object']." !important;
				}
				.timeline > li > .timeline-panel:after {
					border-left:14px solid ".$ns_font_options['ns_color_object'].";
					border-right: 0 solid ".$ns_font_options['ns_color_object'].";
				}
				.mrgSocHm, .tagcloud a, .mrgIcBlogSocHmBlog {
					border: 1px solid ".$ns_font_options['ns_color_object'].";
				}
				.SkewClass {
					border-top: 2px solid ".$ns_font_options['ns_color_object'].";
					border-bottom: 2px solid ".$ns_font_options['ns_color_object'].";
				}
				.mrgIcBlogSocHm {
					background: ".$ns_font_options['ns_color_object'].";
					border: 1px solid ".$ns_font_options['ns_color_object'].";
				}
				.wpcf7-text, .wpcf7-textarea, .wpcf7-submit {
					border: 1px solid ".$ns_font_options['ns_color_object'].";
				}
				.ftNSBot {
					border-top: 1px solid ".$ns_font_options['ns_color_object'].";
				}				
				.navbar-fixed-top {
					border-bottom: 1px solid ".$ns_font_options['ns_color_object']." !important;
				}
				::selection {
					background: ".$ns_font_options['ns_color_object'].";
				}
				#filter-list li, .back-to-top {
					border: 1px solid ".$ns_font_options['ns_color_object'].";
				}
				.navbar-toggle, .navbar-toggle:hover, .navbar-toggle:focus {
					background: ".$ns_font_options['ns_color_object']." !important;
					border: ".$ns_font_options['ns_color_object']." !important;
				}
				.NcolorS{
					color: ".$ns_font_options['ns_color_object']." !important;
				}
				.pagination>li>a, .pagination>li>span {
					color: ".$ns_font_options['ns_color_object']." !important;
					border: 1px solid ".$ns_font_options['ns_color_object']." !important;
				}				
        	";	
        }
        if (!empty($ns_font_options['ns_color_object_hover'])){ 
        	$custom_css .= "
				.mrgSocHm:hover, .mrgIcBlogSocHmBlog:hover {
					background: ".$ns_font_options['ns_color_object_hover']."; color: #fff;
					border: 1px solid ".$ns_font_options['ns_color_object_hover'].";
				}
				#filter-list li.active, #filter-list li:hover {
					background: ".$ns_font_options['ns_color_object_hover'].";
					border: 1px solid ".$ns_font_options['ns_color_object_hover'].";
				}
				.mrgIcBlogSocHm:hover {
					background: ".$ns_font_options['ns_color_object_hover'].";
					border: 1px solid ".$ns_font_options['ns_color_object_hover'].";
				}
				.wpcf7-submit:hover, .back-to-top:hover {
					background: ".$ns_font_options['ns_color_object_hover'].";
					border: 1px solid ".$ns_font_options['ns_color_object_hover'].";
				}
				.NcolorS:hover{
					color: ".$ns_font_options['ns_color_object_hover']." !important;
				}
				.pagination>li>a, .pagination>li>span {
					color: ".$ns_font_options['ns_color_object_hover']." !important;
					border: 1px solid ".$ns_font_options['ns_color_object_hover']." !important;
				}					
        	";	
        }                                                  

        if (!empty($ns_font_options['ns_fonts_h'])){ 
        	$custom_css .= "
				* {
					font-family: ".$ns_font_options['ns_fonts_h'].";
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_titile'])){ 
        	$custom_css .= "
				h1 {
					color: ".$ns_font_options['ns_color_titile']." !important;
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_titile2'])){ 
        	$custom_css .= "
				h2 {
					color: ".$ns_font_options['ns_color_titile2']." !important;
				}
        	";		
        }
        if (!empty($ns_font_options['ns_color_titile3'])){ 
        	$custom_css .= "
				h3 {
					color: ".$ns_font_options['ns_color_titile3']." !important;
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_titile4'])){ 
        	$custom_css .= "
				h4 {
					color: ".$ns_font_options['ns_color_titile4']." !important;
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_titile5'])){ 
        	$custom_css .= "
				h5 {
					color: ".$ns_font_options['ns_color_titile5']." !important;
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_titile6'])){ 
        	$custom_css .= "
				h6 {
					color: ".$ns_font_options['ns_color_titile6']." !important;
				}
        	";		
        }                                               
        if (!empty($ns_font_options['ns_color_text'])){ 
        	$custom_css .= "
				p {
					color: ".$ns_font_options['ns_color_text']." !important;
				}
        	";	
        }
        if (!empty($ns_font_options['ns_color_link'])){ 
        	$custom_css .= "
				a, a:visited, a:link, a:active {
					color: ".$ns_font_options['ns_color_link']." !important;
				}
        	";		
        }
        if (!empty($ns_font_options['ns_color_link_hover'])){ 
        	$custom_css .= "
				a:hover {
					color: ".$ns_font_options['ns_color_link_hover']." !important;
				}	
        	";	
        }                                      
        wp_add_inline_style( 'ns-custom-style', $custom_css );
        wp_enqueue_style( 'font-awesome.min', NS_CSS_PATH .'/font-awesome.min.css', array(), '4.5.0' );
}
add_action( 'wp_enqueue_scripts', 'ns_styles_method' );




// When puplish post
function save_book_meta( $post_id, $post ) {
	// Update post

		$composer = get_post_meta( $post_id, '_add_hidden_composer_hidden_composer', true );
		if ($composer == 0){
			$ns_content = $post->post_content;
		}else{
			// include the templates
			$templ = get_post_meta( $post_id, '_add_hidden_template_hidden_page_template', true );
			switch ($templ) {
				case 'templates/page-home.php':
					$ns_content = '';
					break;
				case 'templates/page-from-blog.php':
					$ns_content = '';
					break;
				case 'templates/page-gallery.php':
					$ns_content = '';
					break;										
				default:
					ob_start();
					require_once( NS_PATH.'/'.$templ);
					$ns_content = ob_get_clean();
					break;
			}
			/*if ( $templ != 'templates/page-home.php'){			
				ob_start();
				require_once( NS_PATH.'/'.$templ);
				$ns_content = ob_get_clean();
			}
			else {$ns_content = ''; }*/
		}

		


  $my_post = array(
      'ID'           => $post_id,
      'post_content' => $ns_content
  );

  	remove_action( 'save_post', 'save_book_meta', 10, 2 );
  	wp_update_post( $my_post );
  	add_action( 'save_post', 'save_book_meta', 10, 2 );
}	
add_action( 'save_post', 'save_book_meta', 10, 2 );



// -------------------------------------------------------------//
// Display Custom Fields in Author page
add_action( 'show_user_profile', 'my_show_extra_profile_fields' );
add_action( 'edit_user_profile', 'my_show_extra_profile_fields' );

function my_show_extra_profile_fields( $user ) { ?>

	<h3>Extra profile information</h3>

	<table class="form-table">

		<tr>
			<th><label for="facebook">Facebook</label></th>

			<td>
				<input type="text" name="ns_fb" id="ns_fb" value="<?php echo esc_attr( get_the_author_meta( 'ns_fb', $user->ID ) ); ?>" class="regular-text" /><br />
				<span class="description">Please enter your Facebook link.</span>
			</td>
		</tr>

		<tr>
			<th><label for="twitter">Twitter</label></th>

			<td>
				<input type="text" name="ns_tw" id="ns_tw" value="<?php echo esc_attr( get_the_author_meta( 'ns_tw', $user->ID ) ); ?>" class="regular-text" /><br />
				<span class="description">Please enter your Twitter link.</span>
			</td>
		</tr>

		<tr>
			<th><label for="twitter">Google +</label></th>

			<td>
				<input type="text" name="ns_g" id="ns_g" value="<?php echo esc_attr( get_the_author_meta( 'ns_g', $user->ID ) ); ?>" class="regular-text" /><br />
				<span class="description">Please enter your Google +  link.</span>
			</td>
		</tr>		

		<tr>
			<th><label for="twitter">Role</label></th>

			<td>
				<input type="text" name="ns_role" id="ns_role" value="<?php echo esc_attr( get_the_author_meta( 'ns_role', $user->ID ) ); ?>" class="regular-text" /><br />
				<span class="description">Please enter your  Role.</span>
			</td>
		</tr>

	</table>
<?php }


add_action( 'personal_options_update', 'my_save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'my_save_extra_profile_fields' );

function my_save_extra_profile_fields( $user_id ) {

	if ( !current_user_can( 'edit_user', $user_id ) )
		return false;

	/* Copy and paste this line for additional fields. Make sure to change 'twitter' to the field ID. */
	update_user_meta( $user_id, 'ns_fb', $_POST['ns_fb'] );
	update_user_meta( $user_id, 'ns_tw', $_POST['ns_tw'] );
	update_user_meta( $user_id, 'ns_g', $_POST['ns_g'] );
	update_user_meta( $user_id, 'ns_role', $_POST['ns_role'] );
}



function ns_gmaps_create($address) {
	?>
<script src='https://maps.googleapis.com/maps/api/js?v=3.exp'></script>
<div style='overflow:hidden;height:300px;width:100%;'>
	<div id='gmap_canvas' style='height:300px;width:100%;'></div>
<div>
	<small><a href="<?php echo esc_url('http://embedgooglemaps.com');?>">									embed google map							</a></small>
</div>
<div>
	<small><a href="<?php echo esc_url('http://googlemapsgenerator.com/');?>">Google maps generator</a></small>
</div>
<style>#gmap_canvas img{max-width:none!important;background:none!important}</style>
</div>
<script type='text/javascript'>
	var address = "<?php echo $address; ?>";
	var geocoder = new google.maps.Geocoder();
	geocoder.geocode( {'address': address}, function(results,status) {
		if (status == google.maps.GeocoderStatus.OK) {
			// do stuff
			var str = results[0].geometry.location;
			var str2 = String(str);
			var str3 = str2.replace("(", "");
			var str4 = str3.replace(")", "");
			var nsMyLatLn = str4.split(",");	
			function init_map(){			
				var myOptions = {zoom:14,center:new google.maps.LatLng(parseFloat(nsMyLatLn[0]),parseFloat(nsMyLatLn[1])),mapTypeId: google.maps.MapTypeId.ROADMAP};
				map = new google.maps.Map(document.getElementById('gmap_canvas'), myOptions);
				marker = new google.maps.Marker({map: map,position: new google.maps.LatLng(parseFloat(nsMyLatLn[0]),parseFloat(nsMyLatLn[1]))});
				infowindow = new google.maps.InfoWindow({content:'<?php echo $address; ?>'});
				google.maps.event.addListener(marker, 'click', function(){infowindow.open(map,marker);});
				infowindow.open(map,marker);
			}
				google.maps.event.addDomListener(window, 'load', init_map);			
		} else {
			alert("Problem in the address search: " + status);
		}					
	});

</script>    
	<?php		 
}

add_action( 'wp_ajax_my_action', 'ns_gmaps_create' );
?>