<?php
class ns_walker_nav_menu extends Walker_Nav_Menu {
  
// add classes to ul sub-menus
function start_lvl( &$output, $depth = 0, $args = array() ) {
    // depth dependent classes
    $indent = ( $depth > 0  ? str_repeat( "\t", $depth ) : '' ); // code indent
    $display_depth = ( $depth + 1); // because it counts the first submenu as 0
    $classes = array(
        'dropdown-menu',
        ( $display_depth % 2  ? 'menu-odd' : 'menu-even' ),
        ( $display_depth >=2 ? 'sub-sub-menu' : '' ),
        'menu-depth-' . $display_depth
        );
    $class_names = implode( ' ', $classes );
  
    // build html
    $output .= "\n" . $indent . '<div class="daVisualizzare"><ul>' . "\n";
}
  
// add main/sub classes to li's and links
 function start_el(  &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
    global $wp_query;
    $indent = ( $depth > 0 ? str_repeat( "\t", $depth ) : '' ); // code indent
  
    // depth dependent classes
    $depth_classes = array(
        ( $depth == 0 ? '' : 'dropdown' ),
        ( $depth >=2 ? 'dropdown' : '' )
       /* ( $depth % 2 ? 'menu-item-odd' : 'menu-item-even' ), */
        //'menu-item-depth-' . $depth
    );
    $depth_class_names = esc_attr( implode( ' ', $depth_classes ) );
  
    // passed classes
    $classes = empty( $item->classes ) ? array() : (array) $item->classes;
    $class_names = esc_attr( implode( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) ) );
  
    // build html
    if ($depth == 0){
        $output .= $indent . '<div id="nav-menu-item-'. $item->ID . '" class="tooltips">';
    }else{
        $output .= $indent . '<li id="nav-menu-item-'. $item->ID . '">'; 
    }
  
    // link attributes
    $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
    $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
    $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
    $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
    if (! empty( $item->url ) && $item->url == '#myModalDiventaHost'){
        $attributes .= ' data-toggle="modal" data-target="#myModalDiventaHost"';
    }
    if (! empty( $item->url ) && $item->url == '#myModal3'){
        $attributes .= ' data-toggle="modal" data-target="#myModal3"';
    }
    if (! empty( $item->url ) && $item->url == '#myModalMail'){
        $attributes .= ' data-toggle="modal" data-target="#myModalMail"';
    }        
    
    $item_output = sprintf( '%1$s<a%2$s>%3$s%4$s%5$s</a>%6$s',
        $args->before,
        $attributes,
        $args->link_before,
        apply_filters( 'the_title', $item->title, $item->ID ),
        $args->link_after,
        $args->after
    );

    // build html
    $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );


}


    function end_el(&$output, $item, $depth) 
    {
       if ($depth == 0){
        $output .= "</div><!-- end div marco -->\n";
       }else{
        $output .= "</li>\n";
       }
    }

}
?>